<template>
  <v-simple-table dense>
    <template v-slot:default>
      <thead>
        <tr>
          <th class="text-left">
            {{ $t('id') }}
          </th>
          <th class="text-left">
            {{ $t('codigo') }}
          </th>
          <th class="text-left">
            {{ $t('descripcion') }}
          </th>
          <th class="text-left">
            {{ $t('unidManejo') }}
          </th>
          <th class="text-left">
            {{ $t('color') }}
          </th>
          <th class="text-left">
            {{ $t('marca') }}
          </th>
          <th class="text-left">
            {{ $t('cantidad') }}
          </th>
          <th class="text-left">
            {{ $t('tamanio') }}
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="item in items"
          :key="item.id"
        >
          <td>{{ item.material.id }}</td>
          <td>{{ item.material.codigo }}</td>
          <td>{{ item.material.descripcion }}</td>
          <td>{{ item.material.unid_manejo }}</td>
          <td>{{ item.material.color }}</td>
          <td>{{ item.material.marca }}</td>
          <td>{{ item.cantidad }}</td>
          <td>{{ item.material.tamanio }}</td>
        </tr>
      </tbody>
    </template>
  </v-simple-table>
</template>

<script>
export default {
  name: 'SubDetallePedido',
  props: {
    items: {
      type: Array,
      default: null
    }
  }
}
</script>

<style>

</style>
